javax.media.opengl

## Interface GL

- All Superinterfaces:
    GLBase
  All Known Subinterfaces:
    GL2, GL2ES1, GL2ES2, GL2ES3, GL2GL3, GL3, GL3bc, GL3ES3, GL4, GL4bc, GL4ES3, GLES1, GLES2, GLES3
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, DebugGLES1, DebugGLES2, DebugGLES3, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc, TraceGLES1, TraceGLES2, TraceGLES3

      public interface GL
      extends GLBase

  Common interface containing the subset of all profiles, GL3bc, GL3, GL2, GLES1 and GLES2.
  This interface reflects common data types, texture and framebuffer functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_ACTIVE_TEXTURE` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ALIASED_LINE_WIDTH_RANGE` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ALIASED_POINT_SIZE_RANGE` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ALPHA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ALPHA_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ALPHA16F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_ALPHA32F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_ALPHA8` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
    `static int` | `GL_ALWAYS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_AND` Common in ES1, GL2 and GL3
    `static int` | `GL_AND_INVERTED` Common in ES1, GL2 and GL3
    `static int` | `GL_AND_REVERSE` Common in ES1, GL2 and GL3
    `static int` | `GL_ARRAY_BUFFER` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BACK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BGRA` Part of `GL_VERSION_1_2`; `GL_EXT_texture_format_BGRA8888`, `GL_EXT_bgra`, `GL_EXT_read_format_bgra`, `GL_APPLE_texture_format_BGRA8888`
    `static int` | `GL_BGRA8` Part of `GL_EXT_texture_storage`
    `static int` | `GL_BLEND` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BLEND_DST` Common in ES1, GL2 and GL3
    `static int` | `GL_BLEND_DST_ALPHA` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `static int` | `GL_BLEND_DST_RGB` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `static int` | `GL_BLEND_EQUATION` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
    `static int` | `GL_BLEND_EQUATION_ALPHA` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
    `static int` | `GL_BLEND_EQUATION_RGB` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
    `static int` | `GL_BLEND_SRC` Common in ES1, GL2 and GL3
    `static int` | `GL_BLEND_SRC_ALPHA` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `static int` | `GL_BLEND_SRC_RGB` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `static int` | `GL_BLUE_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BUFFER_ACCESS` Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `static int` | `GL_BUFFER_MAP_POINTER` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `static int` | `GL_BUFFER_MAPPED` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `static int` | `GL_BUFFER_SIZE` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BUFFER_USAGE` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_BYTE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_CCW` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_CLAMP_TO_EDGE` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_CLEAR` Common in ES1, GL2 and GL3
    `static int` | `GL_COLOR_ATTACHMENT0` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object` `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers` `GL_NV_draw_buffers`
    `static int` | `GL_COLOR_BUFFER_BIT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_COLOR_CLEAR_VALUE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_COLOR_LOGIC_OP` Common in ES1, GL2 and GL3
    `static int` | `GL_COLOR_WRITEMASK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_COMPRESSED_RGB_S3TC_DXT1_EXT` Part of `GL_EXT_texture_compression_s3tc`, `GL_EXT_texture_compression_dxt1`
    `static int` | `GL_COMPRESSED_RGBA_S3TC_DXT1_EXT` Part of `GL_EXT_texture_compression_s3tc`, `GL_EXT_texture_compression_dxt1`
    `static int` | `GL_COMPRESSED_RGBA_S3TC_DXT3_EXT` Part of `GL_EXT_texture_compression_s3tc`
    `static int` | `GL_COMPRESSED_RGBA_S3TC_DXT5_EXT` Part of `GL_EXT_texture_compression_s3tc`
    `static int` | `GL_COMPRESSED_TEXTURE_FORMATS` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_COPY` Common in ES1, GL2 and GL3
    `static int` | `GL_COPY_INVERTED` Common in ES1, GL2 and GL3
    `static int` | `GL_CULL_FACE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_CULL_FACE_MODE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_CW` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DECR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DECR_WRAP` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_stencil_wrap`
    `static int` | `GL_DEPTH_ATTACHMENT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_DEPTH_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_BUFFER_BIT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_CLEAR_VALUE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_COMPONENT16` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`, `GL_OES_required_internalformat`.
    `static int` | `GL_DEPTH_COMPONENT24` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_OES_depth24`
    `static int` | `GL_DEPTH_COMPONENT32` Part of `GL_VERSION_1_4`; `GL_ANGLE_depth_texture`, `GL_OES_depth32`
    `static int` | `GL_DEPTH_FUNC` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_RANGE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_STENCIL` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
    `static int` | `GL_DEPTH_TEST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH_WRITEMASK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DEPTH24_STENCIL8` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
    `static int` | `GL_DITHER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DONT_CARE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DST_ALPHA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DST_COLOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_DYNAMIC_DRAW` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ELEMENT_ARRAY_BUFFER` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ELEMENT_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_EQUAL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_EQUIV` Common in ES1, GL2 and GL3
    `static int` | `GL_EXTENSIONS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FALSE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FASTEST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FIXED` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_ES_1_0`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FLOAT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_ARB_geometry_shader4`, `GL_VERSION_3_0`; `GL_NV_geometry_program4`, `GL_EXT_texture_array`, `GL_EXT_geometry_shader4`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_COMPLETE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS` Part of `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_FORMATS` Part of `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRAMEBUFFER_UNSUPPORTED` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_FRONT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FRONT_AND_BACK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FRONT_FACE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_FUNC_ADD` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
    `static int` | `GL_FUNC_REVERSE_SUBTRACT` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
    `static int` | `GL_FUNC_SUBTRACT` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
    `static int` | `GL_GENERATE_MIPMAP_HINT` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`
    `static int` | `GL_GEQUAL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_GREATER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_GREEN_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_GUILTY_CONTEXT_RESET` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_HALF_FLOAT` Part of `GL_ARB_half_float_vertex`; `GL_NV_half_float`; `GL_ARB_half_float_pixel`, earmarked for ES 3.0 (hence kept in GL while fixing Bug 590)
    `static int` | `GL_IMPLEMENTATION_COLOR_READ_FORMAT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_read_format`
    `static int` | `GL_IMPLEMENTATION_COLOR_READ_TYPE` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_read_format`
    `static int` | `GL_INCR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INCR_WRAP` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_stencil_wrap`
    `static int` | `GL_INNOCENT_CONTEXT_RESET` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_INVALID_ENUM` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INVALID_FRAMEBUFFER_OPERATION` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_INVALID_OPERATION` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INVALID_VALUE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INVERT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_KEEP` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LEQUAL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LESS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINE_LOOP` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINE_SMOOTH` Common in ES1, GL2 and GL3
    `static int` | `GL_LINE_SMOOTH_HINT` Common in ES1, GL2 and GL3
    `static int` | `GL_LINE_STRIP` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINE_WIDTH` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINEAR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINEAR_MIPMAP_LINEAR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINEAR_MIPMAP_NEAREST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LINES` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LOGIC_OP_MODE` Common in ES1, GL2 and GL3
    `static int` | `GL_LOSE_CONTEXT_ON_RESET` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_LUMINANCE` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LUMINANCE_ALPHA` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MAP_FLUSH_EXPLICIT_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAP_INVALIDATE_BUFFER_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAP_INVALIDATE_RANGE_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAP_READ_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAP_UNSYNCHRONIZED_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAP_WRITE_BIT` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `static int` | `GL_MAX_ARRAY_TEXTURE_LAYERS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_MAX_CUBE_MAP_TEXTURE_SIZE` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_MAX_RENDERBUFFER_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT` Part of `GL_EXT_texture_filter_anisotropic`
    `static int` | `GL_MAX_TEXTURE_SIZE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MAX_VIEWPORT_DIMS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MIRRORED_REPEAT` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_texture_mirrored_repeat`
    `static int` | `GL_MULTISAMPLE` Common in ES1, GL2 and GL3
    `static int` | `GL_NAND` Common in ES1, GL2 and GL3
    `static int` | `GL_NEAREST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NEAREST_MIPMAP_LINEAR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NEAREST_MIPMAP_NEAREST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NEVER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NICEST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NO_ERROR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NO_RESET_NOTIFICATION` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_NONE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_NOOP` Common in ES1, GL2 and GL3
    `static int` | `GL_NOR` Common in ES1, GL2 and GL3
    `static int` | `GL_NOTEQUAL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NUM_COMPRESSED_TEXTURE_FORMATS` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE_MINUS_DST_ALPHA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE_MINUS_DST_COLOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE_MINUS_SRC_ALPHA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE_MINUS_SRC_COLOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_OR` Common in ES1, GL2 and GL3
    `static int` | `GL_OR_INVERTED` Common in ES1, GL2 and GL3
    `static int` | `GL_OR_REVERSE` Common in ES1, GL2 and GL3
    `static int` | `GL_OUT_OF_MEMORY` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_PACK_ALIGNMENT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_POINT_FADE_THRESHOLD_SIZE` Common in ES1, GL2 and GL3
    `static int` | `GL_POINT_SIZE` Common in ES1, GL2 and GL3
    `static int` | `GL_POINTS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_POLYGON_OFFSET_FACTOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_POLYGON_OFFSET_FILL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_POLYGON_OFFSET_UNITS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_R11F_G11F_B10F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_float`
    `static int` | `GL_RED_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_RENDERBUFFER` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_ALPHA_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_BLUE_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_DEPTH_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_GREEN_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_HEIGHT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_INTERNAL_FORMAT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_RED_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERBUFFER_WIDTH` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_RENDERER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_REPEAT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_REPLACE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_RESET_NOTIFICATION_STRATEGY` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_RGB` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_RGB10` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
    `static int` | `GL_RGB10_A2` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_EXT_texture`, `GL_EXT_texture_storage`
    `static int` | `GL_RGB16F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
    `static int` | `GL_RGB32F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_RGB5_A1` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
    `static int` | `GL_RGB565` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
    `static int` | `GL_RGB8` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_OES_rgb8_rgba8`
    `static int` | `GL_RGBA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_RGBA_SIGNED_COMPONENTS` Part of `GL_EXT_packed_float`
    `static int` | `GL_RGBA16F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_color_buffer_half_float`
    `static int` | `GL_RGBA32F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_RGBA4` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
    `static int` | `GL_RGBA8` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_OES_rgb8_rgba8`
    `static int` | `GL_SAMPLE_ALPHA_TO_COVERAGE` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SAMPLE_ALPHA_TO_ONE` Common in ES1, GL2 and GL3
    `static int` | `GL_SAMPLE_BUFFERS` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SAMPLE_COVERAGE` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SAMPLE_COVERAGE_INVERT` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SAMPLE_COVERAGE_VALUE` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SAMPLER_2D_ARRAY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`, `GL_EXT_gpu_shader4`
    `static int` | `GL_SAMPLES` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SCISSOR_BOX` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SCISSOR_TEST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SET` Common in ES1, GL2 and GL3
    `static int` | `GL_SHORT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SMOOTH_LINE_WIDTH_RANGE` Common in ES1, GL2 and GL3
    `static int` | `GL_SMOOTH_POINT_SIZE_RANGE` Common in ES1, GL2 and GL3
    `static int` | `GL_SRC_ALPHA` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SRC_ALPHA_SATURATE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SRC_COLOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SRGB` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
    `static int` | `GL_SRGB_ALPHA` Part of `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
    `static int` | `GL_SRGB8_ALPHA8` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
    `static int` | `GL_STATIC_DRAW` Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_ATTACHMENT` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `static int` | `GL_STENCIL_BITS` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_BUFFER_BIT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_CLEAR_VALUE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_FAIL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_FUNC` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_INDEX1` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_stencil1`
    `static int` | `GL_STENCIL_INDEX4` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_stencil4`
    `static int` | `GL_STENCIL_INDEX8` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_stencil8`
    `static int` | `GL_STENCIL_PASS_DEPTH_FAIL` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_PASS_DEPTH_PASS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_REF` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_TEST` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_VALUE_MASK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STENCIL_WRITEMASK` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SUBPIXEL_BITS` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_2D` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_2D_ARRAY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_TEXTURE_BINDING_2D` Part of `GL_VERSION_1_1`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_BINDING_2D_ARRAY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
    `static int` | `GL_TEXTURE_BINDING_CUBE_MAP` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_X` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_Y` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_NEGATIVE_Z` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_X` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_Y` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_CUBE_MAP_POSITIVE_Z` Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
    `static int` | `GL_TEXTURE_IMMUTABLE_FORMAT` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `static int` | `GL_TEXTURE_MAG_FILTER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_MAX_ANISOTROPY_EXT` Part of `GL_EXT_texture_filter_anisotropic`
    `static int` | `GL_TEXTURE_MIN_FILTER` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_WRAP_S` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_WRAP_T` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE0` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE1` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE10` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE11` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE12` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE13` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE14` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE15` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE16` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE17` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE18` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE19` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE2` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE20` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE21` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE22` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE23` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE24` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE25` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE26` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE27` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE28` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE29` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE3` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE30` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE31` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE4` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE5` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE6` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE7` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE8` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE9` Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TRIANGLE_FAN` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TRIANGLE_STRIP` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TRIANGLES` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TRUE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNKNOWN_CONTEXT_RESET` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `static int` | `GL_UNPACK_ALIGNMENT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_BYTE` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_INT` Part of `GL_VERSION_1_0`, `GL_OES_element_index_uint`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_INT_10F_11F_11F_REV` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_float`
    `static int` | `GL_UNSIGNED_INT_24_8` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
    `static int` | `GL_UNSIGNED_SHORT` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT` Part of `GL_EXT_read_format_bgra`
    `static int` | `GL_UNSIGNED_SHORT_4_4_4_4` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT` Part of `GL_EXT_read_format_bgra`
    `static int` | `GL_UNSIGNED_SHORT_5_5_5_1` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_UNSIGNED_SHORT_5_6_5` Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_VENDOR` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_VERSION` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_VIEWPORT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_WRITE_ONLY` Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `static int` | `GL_XOR` Common in ES1, GL2 and GL3
    `static int` | `GL_ZERO` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glActiveTexture(int texture)` Entry point to C language function: `void glActiveTexture(GLenum texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glBindBuffer(int target, int buffer)` Entry point to C language function: `void glBindBuffer(GLenum target, GLuint buffer)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glBindFramebuffer(int target, int framebuffer)` Entry point to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glBindRenderbuffer(int target, int renderbuffer)` Entry point to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glBindTexture(int target, int texture)` Entry point to C language function: `void glBindTexture(GLenum target, GLuint texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glBlendEquation(int mode)` Entry point to C language function: `void glBlendEquation(GLenum mode)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`; `GL_OES_blend_subtract`
    `void` | `glBlendEquationSeparate(int modeRGB, int modeAlpha)` Entry point to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
    `void` | `glBlendFunc(int sfactor, int dfactor)` Entry point to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glBlendFuncSeparate(int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)` Entry point to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `void` | `glBufferData(int target, long size, Buffer data, int usage)` Entry point to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glBufferSubData(int target, long offset, long size, Buffer data)` Entry point to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `int` | `glCheckFramebufferStatus(int target)` Entry point to C language function: `GLenum glCheckFramebufferStatus(GLenum target)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glClear(int mask)` Entry point to C language function: `void glClear(GLbitfield mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glClearColor(float red, float green, float blue, float alpha)` Entry point to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glClearDepthf(float depth)` Entry point to C language function: `void glClearDepthf(GLfloat depth)` Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClearStencil(int s)` Entry point to C language function: `void glClearStencil(GLint s)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glColorMask(boolean red, boolean green, boolean blue, boolean alpha)` Entry point to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCopyTexImage2D(int target, int level, int internalformat, int x, int y, int width, int height, int border)` Entry point to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)` Entry point to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glCullFace(int mode)` Entry point to C language function: `void glCullFace(GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteBuffers(int n, int[] buffers, int buffers_offset)` Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteBuffers(int n, IntBuffer buffers)` Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteFramebuffers(int n, int[] framebuffers, int framebuffers_offset)` Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteFramebuffers(int n, IntBuffer framebuffers)` Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteRenderbuffers(int n, int[] renderbuffers, int renderbuffers_offset)` Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteRenderbuffers(int n, IntBuffer renderbuffers)` Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteTextures(int n, int[] textures, int textures_offset)` Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteTextures(int n, IntBuffer textures)` Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDepthFunc(int func)` Entry point to C language function: `void glDepthFunc(GLenum func)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDepthMask(boolean flag)` Entry point to C language function: `void glDepthMask(GLboolean flag)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDepthRangef(float zNear, float zFar)` Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar)` Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glDisable(int cap)` Entry point to C language function: `void glDisable(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDrawArrays(int mode, int first, int count)` Entry point to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDrawElements(int mode, int count, int type, long indices_buffer_offset)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glEnable(int cap)` Entry point to C language function: `void glEnable(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFinish()` Entry point to C language function: `void glFinish(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFlush()` Entry point to C language function: `void glFlush(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFlushMappedBufferRange(int target, long offset, long length)` Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_APPLE_flush_buffer_range`; `GL_EXT_map_buffer_range`
    `void` | `glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)` Entry point to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)` Entry point to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glFrontFace(int mode)` Entry point to C language function: `void glFrontFace(GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGenBuffers(int n, int[] buffers, int buffers_offset)` Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGenBuffers(int n, IntBuffer buffers)` Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGenerateMipmap(int target)` Entry point to C language function: `void glGenerateMipmap(GLenum target)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenFramebuffers(int n, int[] framebuffers, int framebuffers_offset)` Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenFramebuffers(int n, IntBuffer framebuffers)` Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenRenderbuffers(int n, int[] renderbuffers, int renderbuffers_offset)` Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenRenderbuffers(int n, IntBuffer renderbuffers)` Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenTextures(int n, int[] textures, int textures_offset)` Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glGenTextures(int n, IntBuffer textures)` Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glGetBooleanv(int pname, byte[] params, int params_offset)` Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetBooleanv(int pname, ByteBuffer params)` Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetBufferParameteriv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGetBufferParameteriv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `int` | `glGetError()` Entry point to C language function: `GLenum glGetError(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetFloatv(int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetFloatv(int pname, FloatBuffer params)` Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetFramebufferAttachmentParameteriv(int target, int attachment, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGetFramebufferAttachmentParameteriv(int target, int attachment, int pname, IntBuffer params)` Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `int` | `glGetGraphicsResetStatus()` Entry point to C language function: `GLenum glGetGraphicsResetStatus(void)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetIntegerv(int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetIntegerv(int pname, IntBuffer params)` Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetnUniformfv(int program, int location, int bufSize, float[] params, int params_offset)` Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformfv(int program, int location, int bufSize, FloatBuffer params)` Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformiv(int program, int location, int bufSize, int[] params, int params_offset)` Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformiv(int program, int location, int bufSize, IntBuffer params)` Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetRenderbufferParameteriv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGetRenderbufferParameteriv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `String` | `glGetString(int name)` Entry point to C language function: `const GLubyte * glGetString(GLenum name)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetTexParameterfv(int target, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexParameterfv(int target, int pname, FloatBuffer params)` Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexParameteriv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetTexParameteriv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glHint(int target, int mode)` Entry point to C language function: `void glHint(GLenum target, GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsBuffer(int buffer)` Entry point to C language function: `GLboolean glIsBuffer(GLuint buffer)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsEnabled(int cap)` Entry point to C language function: `GLboolean glIsEnabled(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_NV_vertex_buffer_unified_memory`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsFramebuffer(int framebuffer)` Entry point to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `boolean` | `glIsRenderbuffer(int renderbuffer)` Entry point to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `boolean` | `glIsTexture(int texture)` Entry point to C language function: `GLboolean glIsTexture(GLuint texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glLineWidth(float width)` Entry point to C language function: `void glLineWidth(GLfloat width)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `ByteBuffer` | `glMapBuffer(int target, int access)` Entry point to C language function: `void * glMapBuffer(GLenum target, GLenum access)` Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `ByteBuffer` | `glMapBufferRange(int target, long offset, long length, int access)` Entry point to C language function: `void * glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `void` | `glPixelStorei(int pname, int param)` Entry point to C language function: `void glPixelStorei(GLenum pname, GLint param)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glPolygonOffset(float factor, float units)` Entry point to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units)` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glReadnPixels(int x, int y, int width, int height, int format, int type, int bufSize, Buffer data)` Entry point to C language function: `void glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glReadPixels(int x, int y, int width, int height, int format, int type, Buffer pixels)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glReadPixels(int x, int y, int width, int height, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glRenderbufferStorage(int target, int internalformat, int width, int height)` Entry point to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glSampleCoverage(float value, boolean invert)` Entry point to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glScissor(int x, int y, int width, int height)` Entry point to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glStencilFunc(int func, int ref, int mask)` Entry point to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glStencilMask(int mask)` Entry point to C language function: `void glStencilMask(GLuint mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glStencilOp(int fail, int zfail, int zpass)` Entry point to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameterf(int target, int pname, float param)` Entry point to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameterfv(int target, int pname, float[] params, int params_offset)` Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameterfv(int target, int pname, FloatBuffer params)` Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameteri(int target, int pname, int param)` Entry point to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameteriv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameteriv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexStorage1D(int target, int levels, int internalformat, int width)` Entry point to C language function: `void glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)` Part of `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexStorage2D(int target, int levels, int internalformat, int width, int height)` Entry point to C language function: `void glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)` Entry point to C language function: `void glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glTextureStorage1D(int texture, int target, int levels, int internalformat, int width)` Entry point to C language function: `void glTextureStorage1D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `void` | `glTextureStorage2D(int texture, int target, int levels, int internalformat, int width, int height)` Entry point to C language function: `void glTextureStorage2D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `void` | `glTextureStorage3D(int texture, int target, int levels, int internalformat, int width, int height, int depth)` Entry point to C language function: `void glTextureStorage3D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `boolean` | `glUnmapBuffer(int target)` Entry point to C language function: `GLboolean glUnmapBuffer(GLenum target)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `void` | `glViewport(int x, int y, int width, int height)` Entry point to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, glClearDepth, glDepthRange, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_DEPTH_BUFFER_BIT

          static final int GL_DEPTH_BUFFER_BIT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT

          static final int GL_STENCIL_BUFFER_BIT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT

          static final int GL_COLOR_BUFFER_BIT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FALSE

          static final int GL_FALSE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TRUE

          static final int GL_TRUE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_POINTS

          static final int GL_POINTS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINES

          static final int GL_LINES

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINE_LOOP

          static final int GL_LINE_LOOP

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINE_STRIP

          static final int GL_LINE_STRIP

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLES

          static final int GL_TRIANGLES

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLE_STRIP

          static final int GL_TRIANGLE_STRIP

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TRIANGLE_FAN

          static final int GL_TRIANGLE_FAN

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ZERO

          static final int GL_ZERO

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ONE

          static final int GL_ONE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SRC_COLOR

          static final int GL_SRC_COLOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_SRC_COLOR

          static final int GL_ONE_MINUS_SRC_COLOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SRC_ALPHA

          static final int GL_SRC_ALPHA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_SRC_ALPHA

          static final int GL_ONE_MINUS_SRC_ALPHA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DST_ALPHA

          static final int GL_DST_ALPHA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_DST_ALPHA

          static final int GL_ONE_MINUS_DST_ALPHA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DST_COLOR

          static final int GL_DST_COLOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_DST_COLOR

          static final int GL_ONE_MINUS_DST_COLOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SRC_ALPHA_SATURATE

          static final int GL_SRC_ALPHA_SATURATE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FUNC_ADD

          static final int GL_FUNC_ADD

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
      See Also:
        Constant Field Values

    - #### GL_BLEND_EQUATION

          static final int GL_BLEND_EQUATION

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
      See Also:
        Constant Field Values

    - #### GL_BLEND_EQUATION_RGB

          static final int GL_BLEND_EQUATION_RGB

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
      See Also:
        Constant Field Values

    - #### GL_BLEND_EQUATION_ALPHA

          static final int GL_BLEND_EQUATION_ALPHA

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
      See Also:
        Constant Field Values

    - #### GL_FUNC_SUBTRACT

          static final int GL_FUNC_SUBTRACT

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
      See Also:
        Constant Field Values

    - #### GL_FUNC_REVERSE_SUBTRACT

          static final int GL_FUNC_REVERSE_SUBTRACT

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`; `GL_OES_blend_subtract`
      See Also:
        Constant Field Values

    - #### GL_BLEND_DST_RGB

          static final int GL_BLEND_DST_RGB

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
      See Also:
        Constant Field Values

    - #### GL_BLEND_SRC_RGB

          static final int GL_BLEND_SRC_RGB

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
      See Also:
        Constant Field Values

    - #### GL_BLEND_DST_ALPHA

          static final int GL_BLEND_DST_ALPHA

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
      See Also:
        Constant Field Values

    - #### GL_BLEND_SRC_ALPHA

          static final int GL_BLEND_SRC_ALPHA

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
      See Also:
        Constant Field Values

    - #### GL_ARRAY_BUFFER

          static final int GL_ARRAY_BUFFER

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_BUFFER

          static final int GL_ELEMENT_ARRAY_BUFFER

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ARRAY_BUFFER_BINDING

          static final int GL_ARRAY_BUFFER_BINDING

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_BUFFER_BINDING

          static final int GL_ELEMENT_ARRAY_BUFFER_BINDING

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STATIC_DRAW

          static final int GL_STATIC_DRAW

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DYNAMIC_DRAW

          static final int GL_DYNAMIC_DRAW

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_SIZE

          static final int GL_BUFFER_SIZE

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_USAGE

          static final int GL_BUFFER_USAGE

      Part of `GL_VERSION_1_5`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FRONT

          static final int GL_FRONT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BACK

          static final int GL_BACK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FRONT_AND_BACK

          static final int GL_FRONT_AND_BACK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_2D

          static final int GL_TEXTURE_2D

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CULL_FACE

          static final int GL_CULL_FACE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BLEND

          static final int GL_BLEND

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DITHER

          static final int GL_DITHER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_TEST

          static final int GL_STENCIL_TEST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_TEST

          static final int GL_DEPTH_TEST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SCISSOR_TEST

          static final int GL_SCISSOR_TEST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_OFFSET_FILL

          static final int GL_POLYGON_OFFSET_FILL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_ALPHA_TO_COVERAGE

          static final int GL_SAMPLE_ALPHA_TO_COVERAGE

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_COVERAGE

          static final int GL_SAMPLE_COVERAGE

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NO_ERROR

          static final int GL_NO_ERROR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INVALID_ENUM

          static final int GL_INVALID_ENUM

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INVALID_VALUE

          static final int GL_INVALID_VALUE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INVALID_OPERATION

          static final int GL_INVALID_OPERATION

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_OUT_OF_MEMORY

          static final int GL_OUT_OF_MEMORY

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CW

          static final int GL_CW

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CCW

          static final int GL_CCW

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINE_WIDTH

          static final int GL_LINE_WIDTH

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ALIASED_POINT_SIZE_RANGE

          static final int GL_ALIASED_POINT_SIZE_RANGE

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ALIASED_LINE_WIDTH_RANGE

          static final int GL_ALIASED_LINE_WIDTH_RANGE

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CULL_FACE_MODE

          static final int GL_CULL_FACE_MODE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FRONT_FACE

          static final int GL_FRONT_FACE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_RANGE

          static final int GL_DEPTH_RANGE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_WRITEMASK

          static final int GL_DEPTH_WRITEMASK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_CLEAR_VALUE

          static final int GL_DEPTH_CLEAR_VALUE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_FUNC

          static final int GL_DEPTH_FUNC

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_CLEAR_VALUE

          static final int GL_STENCIL_CLEAR_VALUE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_FUNC

          static final int GL_STENCIL_FUNC

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_FAIL

          static final int GL_STENCIL_FAIL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_PASS_DEPTH_FAIL

          static final int GL_STENCIL_PASS_DEPTH_FAIL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_PASS_DEPTH_PASS

          static final int GL_STENCIL_PASS_DEPTH_PASS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_REF

          static final int GL_STENCIL_REF

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_VALUE_MASK

          static final int GL_STENCIL_VALUE_MASK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_WRITEMASK

          static final int GL_STENCIL_WRITEMASK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VIEWPORT

          static final int GL_VIEWPORT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SCISSOR_BOX

          static final int GL_SCISSOR_BOX

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COLOR_CLEAR_VALUE

          static final int GL_COLOR_CLEAR_VALUE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COLOR_WRITEMASK

          static final int GL_COLOR_WRITEMASK

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_ALIGNMENT

          static final int GL_UNPACK_ALIGNMENT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_PACK_ALIGNMENT

          static final int GL_PACK_ALIGNMENT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TEXTURE_SIZE

          static final int GL_MAX_TEXTURE_SIZE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VIEWPORT_DIMS

          static final int GL_MAX_VIEWPORT_DIMS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SUBPIXEL_BITS

          static final int GL_SUBPIXEL_BITS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_RED_BITS

          static final int GL_RED_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_GREEN_BITS

          static final int GL_GREEN_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BLUE_BITS

          static final int GL_BLUE_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ALPHA_BITS

          static final int GL_ALPHA_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BITS

          static final int GL_DEPTH_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BITS

          static final int GL_STENCIL_BITS

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_OFFSET_UNITS

          static final int GL_POLYGON_OFFSET_UNITS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_POLYGON_OFFSET_FACTOR

          static final int GL_POLYGON_OFFSET_FACTOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_2D

          static final int GL_TEXTURE_BINDING_2D

      Part of `GL_VERSION_1_1`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_BUFFERS

          static final int GL_SAMPLE_BUFFERS

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLES

          static final int GL_SAMPLES

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_COVERAGE_VALUE

          static final int GL_SAMPLE_COVERAGE_VALUE

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_COVERAGE_INVERT

          static final int GL_SAMPLE_COVERAGE_INVERT

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NUM_COMPRESSED_TEXTURE_FORMATS

          static final int GL_NUM_COMPRESSED_TEXTURE_FORMATS

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_TEXTURE_FORMATS

          static final int GL_COMPRESSED_TEXTURE_FORMATS

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DONT_CARE

          static final int GL_DONT_CARE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FASTEST

          static final int GL_FASTEST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NICEST

          static final int GL_NICEST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_GENERATE_MIPMAP_HINT

          static final int GL_GENERATE_MIPMAP_HINT

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BYTE

          static final int GL_BYTE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_BYTE

          static final int GL_UNSIGNED_BYTE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHORT

          static final int GL_SHORT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT

          static final int GL_FLOAT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FIXED

          static final int GL_FIXED

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_ES_1_0`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ALPHA

          static final int GL_ALPHA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_RGB

          static final int GL_RGB

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_RGBA

          static final int GL_RGBA

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE

          static final int GL_LUMINANCE

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE_ALPHA

          static final int GL_LUMINANCE_ALPHA

      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_4_4_4_4

          static final int GL_UNSIGNED_SHORT_4_4_4_4

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_5_5_5_1

          static final int GL_UNSIGNED_SHORT_5_5_5_1

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_5_6_5

          static final int GL_UNSIGNED_SHORT_5_6_5

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NEVER

          static final int GL_NEVER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LESS

          static final int GL_LESS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_EQUAL

          static final int GL_EQUAL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LEQUAL

          static final int GL_LEQUAL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_GREATER

          static final int GL_GREATER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NOTEQUAL

          static final int GL_NOTEQUAL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_GEQUAL

          static final int GL_GEQUAL

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ALWAYS

          static final int GL_ALWAYS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_KEEP

          static final int GL_KEEP

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_REPLACE

          static final int GL_REPLACE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INCR

          static final int GL_INCR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DECR

          static final int GL_DECR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INVERT

          static final int GL_INVERT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INCR_WRAP

          static final int GL_INCR_WRAP

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_stencil_wrap`
      See Also:
        Constant Field Values

    - #### GL_DECR_WRAP

          static final int GL_DECR_WRAP

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_stencil_wrap`
      See Also:
        Constant Field Values

    - #### GL_VENDOR

          static final int GL_VENDOR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_RENDERER

          static final int GL_RENDERER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERSION

          static final int GL_VERSION

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_EXTENSIONS

          static final int GL_EXTENSIONS

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NEAREST

          static final int GL_NEAREST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINEAR

          static final int GL_LINEAR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NEAREST_MIPMAP_NEAREST

          static final int GL_NEAREST_MIPMAP_NEAREST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINEAR_MIPMAP_NEAREST

          static final int GL_LINEAR_MIPMAP_NEAREST

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NEAREST_MIPMAP_LINEAR

          static final int GL_NEAREST_MIPMAP_LINEAR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINEAR_MIPMAP_LINEAR

          static final int GL_LINEAR_MIPMAP_LINEAR

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAG_FILTER

          static final int GL_TEXTURE_MAG_FILTER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MIN_FILTER

          static final int GL_TEXTURE_MIN_FILTER

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WRAP_S

          static final int GL_TEXTURE_WRAP_S

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WRAP_T

          static final int GL_TEXTURE_WRAP_T

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE

          static final int GL_TEXTURE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP

          static final int GL_TEXTURE_CUBE_MAP

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_CUBE_MAP

          static final int GL_TEXTURE_BINDING_CUBE_MAP

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_POSITIVE_X

          static final int GL_TEXTURE_CUBE_MAP_POSITIVE_X

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_NEGATIVE_X

          static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_X

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_POSITIVE_Y

          static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Y

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

          static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_POSITIVE_Z

          static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Z

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

          static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_MAX_CUBE_MAP_TEXTURE_SIZE

          static final int GL_MAX_CUBE_MAP_TEXTURE_SIZE

      Part of `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`; `GL_OES_texture_cube_map`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE0

          static final int GL_TEXTURE0

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE1

          static final int GL_TEXTURE1

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE2

          static final int GL_TEXTURE2

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE3

          static final int GL_TEXTURE3

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE4

          static final int GL_TEXTURE4

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE5

          static final int GL_TEXTURE5

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE6

          static final int GL_TEXTURE6

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE7

          static final int GL_TEXTURE7

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE8

          static final int GL_TEXTURE8

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE9

          static final int GL_TEXTURE9

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE10

          static final int GL_TEXTURE10

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE11

          static final int GL_TEXTURE11

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE12

          static final int GL_TEXTURE12

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE13

          static final int GL_TEXTURE13

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE14

          static final int GL_TEXTURE14

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE15

          static final int GL_TEXTURE15

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE16

          static final int GL_TEXTURE16

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE17

          static final int GL_TEXTURE17

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE18

          static final int GL_TEXTURE18

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE19

          static final int GL_TEXTURE19

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE20

          static final int GL_TEXTURE20

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE21

          static final int GL_TEXTURE21

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE22

          static final int GL_TEXTURE22

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE23

          static final int GL_TEXTURE23

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE24

          static final int GL_TEXTURE24

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE25

          static final int GL_TEXTURE25

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE26

          static final int GL_TEXTURE26

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE27

          static final int GL_TEXTURE27

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE28

          static final int GL_TEXTURE28

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE29

          static final int GL_TEXTURE29

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE30

          static final int GL_TEXTURE30

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE31

          static final int GL_TEXTURE31

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_TEXTURE

          static final int GL_ACTIVE_TEXTURE

      Part of `GL_VERSION_ES_1_0`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_REPEAT

          static final int GL_REPEAT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CLAMP_TO_EDGE

          static final int GL_CLAMP_TO_EDGE

      Part of `GL_VERSION_1_2`, `GL_VERSION_ES_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MIRRORED_REPEAT

          static final int GL_MIRRORED_REPEAT

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_texture_mirrored_repeat`
      See Also:
        Constant Field Values

    - #### GL_IMPLEMENTATION_COLOR_READ_TYPE

          static final int GL_IMPLEMENTATION_COLOR_READ_TYPE

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_read_format`
      See Also:
        Constant Field Values

    - #### GL_IMPLEMENTATION_COLOR_READ_FORMAT

          static final int GL_IMPLEMENTATION_COLOR_READ_FORMAT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_read_format`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER

          static final int GL_FRAMEBUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER

          static final int GL_RENDERBUFFER

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RGBA4

          static final int GL_RGBA4

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RGB5_A1

          static final int GL_RGB5_A1

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RGB565

          static final int GL_RGB565

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`; `GL_OES_required_internalformat`, `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_INDEX8

          static final int GL_STENCIL_INDEX8

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_stencil8`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_WIDTH

          static final int GL_RENDERBUFFER_WIDTH

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_HEIGHT

          static final int GL_RENDERBUFFER_HEIGHT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_INTERNAL_FORMAT

          static final int GL_RENDERBUFFER_INTERNAL_FORMAT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_RED_SIZE

          static final int GL_RENDERBUFFER_RED_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_GREEN_SIZE

          static final int GL_RENDERBUFFER_GREEN_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_BLUE_SIZE

          static final int GL_RENDERBUFFER_BLUE_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_ALPHA_SIZE

          static final int GL_RENDERBUFFER_ALPHA_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_DEPTH_SIZE

          static final int GL_RENDERBUFFER_DEPTH_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_STENCIL_SIZE

          static final int GL_RENDERBUFFER_STENCIL_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

          static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

          static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT0

          static final int GL_COLOR_ATTACHMENT0

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object` `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers` `GL_NV_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_ATTACHMENT

          static final int GL_DEPTH_ATTACHMENT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_ATTACHMENT

          static final int GL_STENCIL_ATTACHMENT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_NONE

          static final int GL_NONE

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_COMPLETE

          static final int GL_FRAMEBUFFER_COMPLETE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

          static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

          static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS

          static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS

      Part of `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_FORMATS

          static final int GL_FRAMEBUFFER_INCOMPLETE_FORMATS

      Part of `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_UNSUPPORTED

          static final int GL_FRAMEBUFFER_UNSUPPORTED

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_BINDING

          static final int GL_FRAMEBUFFER_BINDING

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_BINDING

          static final int GL_RENDERBUFFER_BINDING

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_RENDERBUFFER_SIZE

          static final int GL_MAX_RENDERBUFFER_SIZE

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_INVALID_FRAMEBUFFER_OPERATION

          static final int GL_INVALID_FRAMEBUFFER_OPERATION

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT24

          static final int GL_DEPTH_COMPONENT24

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_OES_depth24`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT32

          static final int GL_DEPTH_COMPONENT32

      Part of `GL_VERSION_1_4`; `GL_ANGLE_depth_texture`, `GL_OES_depth32`
      See Also:
        Constant Field Values

    - #### GL_WRITE_ONLY

          static final int GL_WRITE_ONLY

      Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_ACCESS

          static final int GL_BUFFER_ACCESS

      Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_MAPPED

          static final int GL_BUFFER_MAPPED

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_MAP_POINTER

          static final int GL_BUFFER_MAP_POINTER

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_STENCIL

          static final int GL_DEPTH_STENCIL

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_24_8

          static final int GL_UNSIGNED_INT_24_8

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
      See Also:
        Constant Field Values

    - #### GL_DEPTH24_STENCIL8

          static final int GL_DEPTH24_STENCIL8

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_depth_stencil`; `GL_OES_packed_depth_stencil`, `GL_ANGLE_depth_texture`
      See Also:
        Constant Field Values

    - #### GL_RGB8

          static final int GL_RGB8

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_OES_rgb8_rgba8`
      See Also:
        Constant Field Values

    - #### GL_RGBA8

          static final int GL_RGBA8

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_OES_rgb8_rgba8`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_INDEX1

          static final int GL_STENCIL_INDEX1

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_stencil1`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_INDEX4

          static final int GL_STENCIL_INDEX4

      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_stencil4`
      See Also:
        Constant Field Values

    - #### GL_BGRA

          static final int GL_BGRA

      Part of `GL_VERSION_1_2`; `GL_EXT_texture_format_BGRA8888`, `GL_EXT_bgra`, `GL_EXT_read_format_bgra`, `GL_APPLE_texture_format_BGRA8888`
      See Also:
        Constant Field Values

    - #### GL_RGBA16F

          static final int GL_RGBA16F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_RGB16F

          static final int GL_RGB16F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_MAP_READ_BIT

          static final int GL_MAP_READ_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_MAP_WRITE_BIT

          static final int GL_MAP_WRITE_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_MAP_INVALIDATE_RANGE_BIT

          static final int GL_MAP_INVALIDATE_RANGE_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_MAP_INVALIDATE_BUFFER_BIT

          static final int GL_MAP_INVALIDATE_BUFFER_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_MAP_FLUSH_EXPLICIT_BIT

          static final int GL_MAP_FLUSH_EXPLICIT_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_MAP_UNSYNCHRONIZED_BIT

          static final int GL_MAP_UNSYNCHRONIZED_BIT

      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT

          static final int GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT

      Part of `GL_EXT_read_format_bgra`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT

          static final int GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT

      Part of `GL_EXT_read_format_bgra`
      See Also:
        Constant Field Values

    - #### GL_GUILTY_CONTEXT_RESET

          static final int GL_GUILTY_CONTEXT_RESET

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_INNOCENT_CONTEXT_RESET

          static final int GL_INNOCENT_CONTEXT_RESET

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_UNKNOWN_CONTEXT_RESET

          static final int GL_UNKNOWN_CONTEXT_RESET

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_RESET_NOTIFICATION_STRATEGY

          static final int GL_RESET_NOTIFICATION_STRATEGY

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_LOSE_CONTEXT_ON_RESET

          static final int GL_LOSE_CONTEXT_ON_RESET

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_NO_RESET_NOTIFICATION

          static final int GL_NO_RESET_NOTIFICATION

      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_SRGB

          static final int GL_SRGB

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
      See Also:
        Constant Field Values

    - #### GL_SRGB_ALPHA

          static final int GL_SRGB_ALPHA

      Part of `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
      See Also:
        Constant Field Values

    - #### GL_SRGB8_ALPHA8

          static final int GL_SRGB8_ALPHA8

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_1`; `GL_EXT_texture_sRGB`, `GL_EXT_sRGB`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_S3TC_DXT1_EXT

          static final int GL_COMPRESSED_RGB_S3TC_DXT1_EXT

      Part of `GL_EXT_texture_compression_s3tc`, `GL_EXT_texture_compression_dxt1`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_S3TC_DXT1_EXT

          static final int GL_COMPRESSED_RGBA_S3TC_DXT1_EXT

      Part of `GL_EXT_texture_compression_s3tc`, `GL_EXT_texture_compression_dxt1`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAX_ANISOTROPY_EXT

          static final int GL_TEXTURE_MAX_ANISOTROPY_EXT

      Part of `GL_EXT_texture_filter_anisotropic`
      See Also:
        Constant Field Values

    - #### GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT

          static final int GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT

      Part of `GL_EXT_texture_filter_anisotropic`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_IMMUTABLE_FORMAT

          static final int GL_TEXTURE_IMMUTABLE_FORMAT

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_ALPHA8

          static final int GL_ALPHA8

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RGBA32F

          static final int GL_RGBA32F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RGB32F

          static final int GL_RGB32F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_ALPHA32F

          static final int GL_ALPHA32F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_ALPHA16F

          static final int GL_ALPHA16F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RGB10_A2

          static final int GL_RGB10_A2

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`; `GL_EXT_texture`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RGB10

          static final int GL_RGB10

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_BGRA8

          static final int GL_BGRA8

      Part of `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_S3TC_DXT3_EXT

          static final int GL_COMPRESSED_RGBA_S3TC_DXT3_EXT

      Part of `GL_EXT_texture_compression_s3tc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_S3TC_DXT5_EXT

          static final int GL_COMPRESSED_RGBA_S3TC_DXT5_EXT

      Part of `GL_EXT_texture_compression_s3tc`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_2D_ARRAY

          static final int GL_TEXTURE_2D_ARRAY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_ARRAY

          static final int GL_SAMPLER_2D_ARRAY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`, `GL_EXT_gpu_shader4`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_2D_ARRAY

          static final int GL_TEXTURE_BINDING_2D_ARRAY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_MAX_ARRAY_TEXTURE_LAYERS

          static final int GL_MAX_ARRAY_TEXTURE_LAYERS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_texture_array`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_ARB_geometry_shader4`, `GL_VERSION_3_0`; `GL_NV_geometry_program4`, `GL_EXT_texture_array`, `GL_EXT_geometry_shader4`
      See Also:
        Constant Field Values

    - #### GL_R11F_G11F_B10F

          static final int GL_R11F_G11F_B10F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_float`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_10F_11F_11F_REV

          static final int GL_UNSIGNED_INT_10F_11F_11F_REV

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_packed_float`
      See Also:
        Constant Field Values

    - #### GL_RGBA_SIGNED_COMPONENTS

          static final int GL_RGBA_SIGNED_COMPONENTS

      Part of `GL_EXT_packed_float`
      See Also:
        Constant Field Values

    - #### GL_AND

          static final int GL_AND

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_AND_INVERTED

          static final int GL_AND_INVERTED

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_AND_REVERSE

          static final int GL_AND_REVERSE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_BLEND_DST

          static final int GL_BLEND_DST

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_BLEND_SRC

          static final int GL_BLEND_SRC

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_CLEAR

          static final int GL_CLEAR

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_COLOR_LOGIC_OP

          static final int GL_COLOR_LOGIC_OP

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_COPY

          static final int GL_COPY

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_COPY_INVERTED

          static final int GL_COPY_INVERTED

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_EQUIV

          static final int GL_EQUIV

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_LINE_SMOOTH

          static final int GL_LINE_SMOOTH

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_LINE_SMOOTH_HINT

          static final int GL_LINE_SMOOTH_HINT

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_LOGIC_OP_MODE

          static final int GL_LOGIC_OP_MODE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE

          static final int GL_MULTISAMPLE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_NAND

          static final int GL_NAND

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_NOOP

          static final int GL_NOOP

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_NOR

          static final int GL_NOR

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_OR

          static final int GL_OR

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_OR_INVERTED

          static final int GL_OR_INVERTED

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_OR_REVERSE

          static final int GL_OR_REVERSE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_POINT_FADE_THRESHOLD_SIZE

          static final int GL_POINT_FADE_THRESHOLD_SIZE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_POINT_SIZE

          static final int GL_POINT_SIZE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_SAMPLE_ALPHA_TO_ONE

          static final int GL_SAMPLE_ALPHA_TO_ONE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_SET

          static final int GL_SET

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_SMOOTH_LINE_WIDTH_RANGE

          static final int GL_SMOOTH_LINE_WIDTH_RANGE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_SMOOTH_POINT_SIZE_RANGE

          static final int GL_SMOOTH_POINT_SIZE_RANGE

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_XOR

          static final int GL_XOR

      Common in ES1, GL2 and GL3
      See Also:
        Constant Field Values

    - #### GL_HALF_FLOAT

          static final int GL_HALF_FLOAT

      Part of `GL_ARB_half_float_vertex`; `GL_NV_half_float`; `GL_ARB_half_float_pixel`, earmarked for ES 3.0 (hence kept in GL while fixing Bug 590)
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT16

          static final int GL_DEPTH_COMPONENT16

      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`, `GL_OES_required_internalformat`.
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT

          static final int GL_UNSIGNED_INT

      Part of `GL_VERSION_1_0`, `GL_OES_element_index_uint`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT

          static final int GL_UNSIGNED_SHORT

      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glActiveTexture

          void glActiveTexture(int texture)

      Entry point to C language function: `void glActiveTexture(GLenum texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`

    - #### glBindBuffer

          void glBindBuffer(int target,
                          int buffer)

      Entry point to C language function: `void glBindBuffer(GLenum target, GLuint buffer)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`

    - #### glBindFramebuffer

          void glBindFramebuffer(int target,
                               int framebuffer)

      Entry point to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glBindRenderbuffer

          void glBindRenderbuffer(int target,
                                int renderbuffer)

      Entry point to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glBindTexture

          void glBindTexture(int target,
                           int texture)

      Entry point to C language function: `void glBindTexture(GLenum target, GLuint texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glBlendEquation

          void glBlendEquation(int mode)

      Entry point to C language function: `void glBlendEquation(GLenum mode)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`; `GL_OES_blend_subtract`

    - #### glBlendEquationSeparate

          void glBlendEquationSeparate(int modeRGB,
                                     int modeAlpha)

      Entry point to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`

    - #### glBlendFunc

          void glBlendFunc(int sfactor,
                         int dfactor)

      Entry point to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glBlendFuncSeparate

          void glBlendFuncSeparate(int srcRGB,
                                 int dstRGB,
                                 int srcAlpha,
                                 int dstAlpha)

      Entry point to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)`
      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`

    - #### glBufferData

          void glBufferData(int target,
                          long size,
                          Buffer data,
                          int usage)

      Entry point to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Parameters:
        `data` - a direct or array-backed `Buffer`

        Throws a `GLException` if GL-function constraints are not met or the native GL-function fails.

      Throws:
        `GLException` - if buffer is not bound to target
        `GLException` - if size is less-than zero
        `GLException` - if a native GL-Error occurs

    - #### glBufferSubData

          void glBufferSubData(int target,
                             long offset,
                             long size,
                             Buffer data)

      Entry point to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCheckFramebufferStatus

          int glCheckFramebufferStatus(int target)

      Entry point to C language function: `GLenum glCheckFramebufferStatus(GLenum target)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glClear

          void glClear(int mask)

      Entry point to C language function: `void glClear(GLbitfield mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glClearColor

          void glClearColor(float red,
                          float green,
                          float blue,
                          float alpha)

      Entry point to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glClearDepthf

          void glClearDepthf(float depth)

      Entry point to C language function: `void glClearDepthf(GLfloat depth)`
      Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`

    - #### glClearStencil

          void glClearStencil(int s)

      Entry point to C language function: `void glClearStencil(GLint s)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glColorMask

          void glColorMask(boolean red,
                         boolean green,
                         boolean blue,
                         boolean alpha)

      Entry point to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glCompressedTexImage2D

          void glCompressedTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int imageSize,
                                    Buffer data)

      Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexImage2D

          void glCompressedTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int imageSize,
                                    long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`

    - #### glCompressedTexSubImage2D

          void glCompressedTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int imageSize,
                                       Buffer data)

      Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexSubImage2D

          void glCompressedTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int imageSize,
                                       long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`

    - #### glCopyTexImage2D

          void glCopyTexImage2D(int target,
                              int level,
                              int internalformat,
                              int x,
                              int y,
                              int width,
                              int height,
                              int border)

      Entry point to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glCopyTexSubImage2D

          void glCopyTexSubImage2D(int target,
                                 int level,
                                 int xoffset,
                                 int yoffset,
                                 int x,
                                 int y,
                                 int width,
                                 int height)

      Entry point to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glCullFace

          void glCullFace(int mode)

      Entry point to C language function: `void glCullFace(GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glDeleteBuffers

          void glDeleteBuffers(int n,
                             IntBuffer buffers)

      Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Parameters:
        `buffers` - a direct or array-backed `IntBuffer`

    - #### glDeleteBuffers

          void glDeleteBuffers(int n,
                             int[] buffers,
                             int buffers_offset)

      Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`

    - #### glDeleteFramebuffers

          void glDeleteFramebuffers(int n,
                                  IntBuffer framebuffers)

      Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `framebuffers` - a direct or array-backed `IntBuffer`

    - #### glDeleteFramebuffers

          void glDeleteFramebuffers(int n,
                                  int[] framebuffers,
                                  int framebuffers_offset)

      Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glDeleteRenderbuffers

          void glDeleteRenderbuffers(int n,
                                   IntBuffer renderbuffers)

      Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `renderbuffers` - a direct or array-backed `IntBuffer`

    - #### glDeleteRenderbuffers

          void glDeleteRenderbuffers(int n,
                                   int[] renderbuffers,
                                   int renderbuffers_offset)

      Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glDeleteTextures

          void glDeleteTextures(int n,
                              IntBuffer textures)

      Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Parameters:
        `textures` - a direct or array-backed `IntBuffer`

    - #### glDeleteTextures

          void glDeleteTextures(int n,
                              int[] textures,
                              int textures_offset)

      Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glDepthFunc

          void glDepthFunc(int func)

      Entry point to C language function: `void glDepthFunc(GLenum func)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glDepthMask

          void glDepthMask(boolean flag)

      Entry point to C language function: `void glDepthMask(GLboolean flag)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glDepthRangef

          void glDepthRangef(float zNear,
                           float zFar)

      Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar)`
      Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`

    - #### glDisable

          void glDisable(int cap)

      Entry point to C language function: `void glDisable(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glDrawArrays

          void glDrawArrays(int mode,
                          int first,
                          int count)

      Entry point to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glDrawElements

          void glDrawElements(int mode,
                            int count,
                            int type,
                            long indices_buffer_offset)

      Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glEnable

          void glEnable(int cap)

      Entry point to C language function: `void glEnable(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glFinish

          void glFinish()

      Entry point to C language function: `void glFinish(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glFlush

          void glFlush()

      Entry point to C language function: `void glFlush(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glFlushMappedBufferRange

          void glFlushMappedBufferRange(int target,
                                      long offset,
                                      long length)

      Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_APPLE_flush_buffer_range`; `GL_EXT_map_buffer_range`

    - #### glFramebufferRenderbuffer

          void glFramebufferRenderbuffer(int target,
                                       int attachment,
                                       int renderbuffertarget,
                                       int renderbuffer)

      Entry point to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glFramebufferTexture2D

          void glFramebufferTexture2D(int target,
                                    int attachment,
                                    int textarget,
                                    int texture,
                                    int level)

      Entry point to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glFrontFace

          void glFrontFace(int mode)

      Entry point to C language function: `void glFrontFace(GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGenBuffers

          void glGenBuffers(int n,
                          IntBuffer buffers)

      Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Parameters:
        `buffers` - a direct or array-backed `IntBuffer`

    - #### glGenBuffers

          void glGenBuffers(int n,
                          int[] buffers,
                          int buffers_offset)

      Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`

    - #### glGenFramebuffers

          void glGenFramebuffers(int n,
                               IntBuffer framebuffers)

      Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `framebuffers` - a direct or array-backed `IntBuffer`

    - #### glGenFramebuffers

          void glGenFramebuffers(int n,
                               int[] framebuffers,
                               int framebuffers_offset)

      Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glGenRenderbuffers

          void glGenRenderbuffers(int n,
                                IntBuffer renderbuffers)

      Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `renderbuffers` - a direct or array-backed `IntBuffer`

    - #### glGenRenderbuffers

          void glGenRenderbuffers(int n,
                                int[] renderbuffers,
                                int renderbuffers_offset)

      Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glGenTextures

          void glGenTextures(int n,
                           IntBuffer textures)

      Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Parameters:
        `textures` - a direct or array-backed `IntBuffer`

    - #### glGenTextures

          void glGenTextures(int n,
                           int[] textures,
                           int textures_offset)

      Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glGenerateMipmap

          void glGenerateMipmap(int target)

      Entry point to C language function: `void glGenerateMipmap(GLenum target)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glGetBooleanv

          void glGetBooleanv(int pname,
                           ByteBuffer params)

      Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `ByteBuffer`

    - #### glGetBooleanv

          void glGetBooleanv(int pname,
                           byte[] params,
                           int params_offset)

      Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGetBufferParameteriv

          void glGetBufferParameteriv(int target,
                                    int pname,
                                    IntBuffer params)

      Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetBufferParameteriv

          void glGetBufferParameteriv(int target,
                                    int pname,
                                    int[] params,
                                    int params_offset)

      Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`

    - #### glGetError

          int glGetError()

      Entry point to C language function: `GLenum glGetError(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGetFloatv

          void glGetFloatv(int pname,
                         FloatBuffer params)

      Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetFloatv

          void glGetFloatv(int pname,
                         float[] params,
                         int params_offset)

      Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glGetFramebufferAttachmentParameteriv

          void glGetFramebufferAttachmentParameteriv(int target,
                                                   int attachment,
                                                   int pname,
                                                   IntBuffer params)

      Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetFramebufferAttachmentParameteriv

          void glGetFramebufferAttachmentParameteriv(int target,
                                                   int attachment,
                                                   int pname,
                                                   int[] params,
                                                   int params_offset)

      Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glGetGraphicsResetStatus

          int glGetGraphicsResetStatus()

      Entry point to C language function: `GLenum glGetGraphicsResetStatus(void)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`

    - #### glGetIntegerv

          void glGetIntegerv(int pname,
                           IntBuffer params)

      Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetIntegerv

          void glGetIntegerv(int pname,
                           int[] params,
                           int params_offset)

      Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGetRenderbufferParameteriv

          void glGetRenderbufferParameteriv(int target,
                                          int pname,
                                          IntBuffer params)

      Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetRenderbufferParameteriv

          void glGetRenderbufferParameteriv(int target,
                                          int pname,
                                          int[] params,
                                          int params_offset)

      Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glGetString

          String glGetString(int name)

      Entry point to C language function: `const GLubyte * glGetString(GLenum name)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGetTexParameterfv

          void glGetTexParameterfv(int target,
                                 int pname,
                                 FloatBuffer params)

      Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetTexParameterfv

          void glGetTexParameterfv(int target,
                                 int pname,
                                 float[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glGetTexParameteriv

          void glGetTexParameteriv(int target,
                                 int pname,
                                 IntBuffer params)

      Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameteriv

          void glGetTexParameteriv(int target,
                                 int pname,
                                 int[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glGetnUniformfv

          void glGetnUniformfv(int program,
                             int location,
                             int bufSize,
                             FloatBuffer params)

      Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetnUniformfv

          void glGetnUniformfv(int program,
                             int location,
                             int bufSize,
                             float[] params,
                             int params_offset)

      Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`

    - #### glGetnUniformiv

          void glGetnUniformiv(int program,
                             int location,
                             int bufSize,
                             IntBuffer params)

      Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetnUniformiv

          void glGetnUniformiv(int program,
                             int location,
                             int bufSize,
                             int[] params,
                             int params_offset)

      Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`

    - #### glHint

          void glHint(int target,
                    int mode)

      Entry point to C language function: `void glHint(GLenum target, GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glIsBuffer

          boolean glIsBuffer(int buffer)

      Entry point to C language function: `GLboolean glIsBuffer(GLuint buffer)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`

    - #### glIsEnabled

          boolean glIsEnabled(int cap)

      Entry point to C language function: `GLboolean glIsEnabled(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_NV_vertex_buffer_unified_memory`, `GL_ES_VERSION_2_0`

    - #### glIsFramebuffer

          boolean glIsFramebuffer(int framebuffer)

      Entry point to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glIsRenderbuffer

          boolean glIsRenderbuffer(int renderbuffer)

      Entry point to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glIsTexture

          boolean glIsTexture(int texture)

      Entry point to C language function: `GLboolean glIsTexture(GLuint texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glLineWidth

          void glLineWidth(float width)

      Entry point to C language function: `void glLineWidth(GLfloat width)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glMapBuffer

          ByteBuffer glMapBuffer(int target,
                               int access)

      Entry point to C language function: `void * glMapBuffer(GLenum target, GLenum access)`
      Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`

      Throws a `GLException` if GL-function constraints are not met.

      Returns `GLBase.mapBuffer(int, int)`'s `GLBufferStorage.getMappedBuffer()`.

      Throws:
        `GLException` - if buffer is not bound to target
        `GLException` - if buffer is not tracked
        `GLException` - if buffer is already mapped
        `GLException` - if buffer has invalid store size, i.e. less-than zero

    - #### glMapBufferRange

          ByteBuffer glMapBufferRange(int target,
                                    long offset,
                                    long length,
                                    int access)

      Entry point to C language function: `void * glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`

      Throws a `GLException` if GL-function constraints are not met.

      Returns `GLBase.mapBufferRange(int, long, long, int)`'s `GLBufferStorage.getMappedBuffer()`.

      Throws:
        `GLException` - if buffer is not bound to target
        `GLException` - if buffer is not tracked
        `GLException` - if buffer is already mapped
        `GLException` - if buffer has invalid store size, i.e. less-than zero
        `GLException` - if buffer mapping range does not fit, incl. offset

    - #### glPixelStorei

          void glPixelStorei(int pname,
                           int param)

      Entry point to C language function: `void glPixelStorei(GLenum pname, GLint param)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glPolygonOffset

          void glPolygonOffset(float factor,
                             float units)

      Entry point to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units)`
      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glReadPixels

          void glReadPixels(int x,
                          int y,
                          int width,
                          int height,
                          int format,
                          int type,
                          Buffer pixels)

      Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glReadPixels

          void glReadPixels(int x,
                          int y,
                          int width,
                          int height,
                          int format,
                          int type,
                          long pixels_buffer_offset)

      Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glReadnPixels

          void glReadnPixels(int x,
                           int y,
                           int width,
                           int height,
                           int format,
                           int type,
                           int bufSize,
                           Buffer data)

      Entry point to C language function: `void glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glRenderbufferStorage

          void glRenderbufferStorage(int target,
                                   int internalformat,
                                   int width,
                                   int height)

      Entry point to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`

    - #### glSampleCoverage

          void glSampleCoverage(float value,
                              boolean invert)

      Entry point to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`

    - #### glScissor

          void glScissor(int x,
                       int y,
                       int width,
                       int height)

      Entry point to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glStencilFunc

          void glStencilFunc(int func,
                           int ref,
                           int mask)

      Entry point to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glStencilMask

          void glStencilMask(int mask)

      Entry point to C language function: `void glStencilMask(GLuint mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glStencilOp

          void glStencilOp(int fail,
                         int zfail,
                         int zpass)

      Entry point to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glTexImage2D

          void glTexImage2D(int target,
                          int level,
                          int internalformat,
                          int width,
                          int height,
                          int border,
                          int format,
                          int type,
                          Buffer pixels)

      Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexImage2D

          void glTexImage2D(int target,
                          int level,
                          int internalformat,
                          int width,
                          int height,
                          int border,
                          int format,
                          int type,
                          long pixels_buffer_offset)

      Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glTexParameterf

          void glTexParameterf(int target,
                             int pname,
                             float param)

      Entry point to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glTexParameterfv

          void glTexParameterfv(int target,
                              int pname,
                              FloatBuffer params)

      Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glTexParameterfv

          void glTexParameterfv(int target,
                              int pname,
                              float[] params,
                              int params_offset)

      Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`

    - #### glTexParameteri

          void glTexParameteri(int target,
                             int pname,
                             int param)

      Entry point to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glTexParameteriv

          void glTexParameteriv(int target,
                              int pname,
                              IntBuffer params)

      Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glTexParameteriv

          void glTexParameteriv(int target,
                              int pname,
                              int[] params,
                              int params_offset)

      Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

    - #### glTexStorage1D

          void glTexStorage1D(int target,
                            int levels,
                            int internalformat,
                            int width)

      Entry point to C language function: `void glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)`
      Part of `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`

    - #### glTexStorage2D

          void glTexStorage2D(int target,
                            int levels,
                            int internalformat,
                            int width,
                            int height)

      Entry point to C language function: `void glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`

    - #### glTexStorage3D

          void glTexStorage3D(int target,
                            int levels,
                            int internalformat,
                            int width,
                            int height,
                            int depth)

      Entry point to C language function: `void glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`

    - #### glTexSubImage2D

          void glTexSubImage2D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int width,
                             int height,
                             int format,
                             int type,
                             Buffer pixels)

      Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexSubImage2D

          void glTexSubImage2D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int width,
                             int height,
                             int format,
                             int type,
                             long pixels_buffer_offset)

      Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`

    - #### glTextureStorage1D

          void glTextureStorage1D(int texture,
                                int target,
                                int levels,
                                int internalformat,
                                int width)

      Entry point to C language function: `void glTextureStorage1D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`

    - #### glTextureStorage2D

          void glTextureStorage2D(int texture,
                                int target,
                                int levels,
                                int internalformat,
                                int width,
                                int height)

      Entry point to C language function: `void glTextureStorage2D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`

    - #### glTextureStorage3D

          void glTextureStorage3D(int texture,
                                int target,
                                int levels,
                                int internalformat,
                                int width,
                                int height,
                                int depth)

      Entry point to C language function: `void glTextureStorage3D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`

    - #### glUnmapBuffer

          boolean glUnmapBuffer(int target)

      Entry point to C language function: `GLboolean glUnmapBuffer(GLenum target)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`

    - #### glViewport

          void glViewport(int x,
                        int y,
                        int width,
                        int height)

      Entry point to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`

Copyright 2010 JogAmp Community.